## NAME

CURLOPT_RESUME_FROM_LARGE - set a point to resume transfer from

## SYNOPSIS

    #include <curl/curl.h>
     CURLcode curl_easy_setopt(CURL *handle, CURLOPT_RESUME_FROM_LARGE,
                               curl_off_t from);

## DESCRIPTION

Pass a curl_off_t as parameter. It contains the offset in number of bytes that you want the transfer to start from. Set this option to 0 to make the transfer start from the beginning (effectively disabling resume). For FTP, set this option to -1 to make the transfer start from the end of the target file (useful to continue an interrupted upload).

When doing uploads with FTP, the resume position is where in the local/source file libcurl should try to resume the upload from and it will then append the source file to the remote target file.

## DEFAULT

0, not used

## PROTOCOLS

HTTP, FTP, SFTP, FILE

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.11.0

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_RESUME_FROM CURLOPT_RANGE

This HTML page was made with roffit.